<?php
require_once __DIR__ . '/AccessControl.php';

date_default_timezone_set('Europe/Rome');

$access = new AccessControl();

if (!$access->checkAccess()) {
    $query = [ 'redir' => $_SERVER['PHP_SELF'] ];
    if ($access->loggedIp !== '' && $access->loggedIp !== $_SERVER['REMOTE_ADDR']) {
        $query['message'] = "Accesso precedente da $access->loggedIp.";
    }
    header("Location: http://{$_SERVER['HTTP_HOST']}/login.php?" . http_build_query($query));
    exit;
}