function deselectRow(row) {
    row.removeClass('info');
    row.next().hide();
}

function toggleSelected(row) {
    row.toggleClass('info');
    row.next().toggle();
}

$(function() {
    var currentId = undefined;

    $('tr:has(a.show-content)').next().hide();

    $('td a.show-content').click(function(ev) {
        ev.preventDefault();
        var clickedRow = $(this).closest('tr');
        var clickedId = clickedRow.attr('id');
        toggleSelected(clickedRow);
        if (clickedId !== currentId) {
            if (currentId !== undefined)
                deselectRow($('#' + currentId));
            currentId = clickedId;
        }
    });
});