<?php
require_once 'products.php';
require_once 'workspace.php';

const MOD_FILE = 'mod.xml';

$products = deserialize_catalogues(USER_CATALOGUE_BASE . '/index.xml');
apply_modifications($products, workspace_get(MOD_FILE));

// Può essere un ID della forma <catalogo>/<prodotto> nel caso di un prodotto essitente
// mentre è solo <prodotto> nel caso voglia aggiungere un nuovo prodotto
$id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_STRING);
$redir = filter_input(INPUT_GET, 'redir', FILTER_SANITIZE_URL);

if (isset($products[$id])) {
    $products[$id]->undelete();
    generate_mod_file(workspace_get(MOD_FILE), $products);
}

$host = $_SERVER['HTTP_HOST'];
header("Location: http://$host$redir");
